## aiffparse aiffparse — Parse a .aiff file into raw audio |

## Synopsis

    struct              GstAiffParse;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAiffParse

## Description

### Example launch line

Parse a .aiff file into raw or compressed audio.

AIFFparse supports both push and pull mode operations, making it possible to stream from a network source.

    gst-launch filesrc location=sine.aiff ! aiffparse ! audioconvert ! alsasink

Read a aiff file and output to the soundcard using the ALSA element. The aiff file is assumed to contain raw uncompressed samples.

    gst-launch gnomevfssrc location=http://www.example.org/sine.aiff ! queue ! aiffparse ! audioconvert ! alsasink

Stream data from a network url.

## Synopsis

### Element Information

plugin | aiff
author | Pioneers of the Inevitable <songbird@songbirdnest.com>
class | Codec/Demuxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-aiff

name | src
direction | source
presence | always
details | audio/x-raw-int, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int){ 1234, 4321 }, width=(int){ 8, 16, 24, 32 }, depth=(int)[ 1, 32 ], signed=(boolean){ true, false }
| audio/x-raw-float, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], endianness=(int){ 1234, 4321 }, width=(int){ 32, 64 }

## Details

### struct GstAiffParse

    struct GstAiffParse;

Opaque data structure.